std::generator::promise_type::initial_suspend(3)

NAME
std::generator::promise_type::initial_suspend - std::generator::promise_type::initial_suspend

Synopsis
   std::suspend_always initial_suspend() const noexcept; (since C++23)
   Equivalent to { return std::suspend_always{}; }, that is, std::generator always
   starts lazily (in suspended state).

Parameters
   (none)

Return value
   The awaitable object.